#include "locatable.h"
#include "movable.h"
#include "point.h"
#include <cassert>
#include <iostream>

void locate(const Locatable& loc) {
	auto pos = loc.getPosition();
	std::cout << "(" << pos->getX() << ", " << pos->getY() << ")\n";
}

void move(Movable& mov, Locatable& loc) {
	std::cout << "Aktuelle Position:\n";
	locate(loc);

	std::cout << "Auf (1, 2) verschieben\n";
	mov.moveTo(Point(1, 2));

	std::cout << "Neue Position:\n";
	locate(loc);

	std::cout << "Um (2, -1) verschieben\n";
	mov.moveBy(Point(2, -1));

	std::cout << "Neue Position:\n";
	locate(loc);
}

int main() {
	//Point p(1, 2);
	//locate(p);
	//move(p, p);

	return 0;
}
