#include "point.h"
#include <iostream>

Point::Point() {
    // no-op
    std::cout << "CREATE Point()\n";
}

Point::Point(double x, double y) {
    this->x = x;
    this->y = y;
    std::cout << "CREATE Point(" << x << ", " << y << ")\n";
}

Point::~Point() {
    std::cout << "DELETE Point(" << x << ", " << y << ")\n";
}

double Point::getX() const {
    return x;
}

double Point::getY() const {
    return y;
}
